import { GitHub } from "arctic";
import { FRONTEND_URL, OAUTH_CALLBACK_URL } from "@/utils/api-config";

// Bestimme die Callback-URL basierend auf der Frontend-URL
const getCallbackUrl = () => {
  console.log("Frontend URL:", FRONTEND_URL);
  console.log("Verwende OAuth Callback URL:", OAUTH_CALLBACK_URL);
  return OAUTH_CALLBACK_URL;
};

// Erstelle GitHub OAuth-Client mit expliziter Redirect-URI
export const github = new GitHub(
  process.env.OAUTH_CLIENT_ID as string, 
  process.env.OAUTH_CLIENT_SECRET as string, 
  {
    enterpriseDomain: "https://git.i.mercedes-benz.com",
    redirectURI: getCallbackUrl(),
  }
);

export interface GitHubUserResult {
	id: number;
	login: string;
	name: string;
	email: string;
}
