// Basis-URL für Backend-API
export const API_BASE_URL = process.env.NEXT_PUBLIC_API_URL || "http://192.168.0.105:5000";

// Frontendurl für Callbacks
export const FRONTEND_URL = process.env.NEXT_PUBLIC_FRONTEND_URL || "http://localhost:3000";

// OAuth Callback URL
export const OAUTH_CALLBACK_URL = `${FRONTEND_URL}/auth/login/callback`;

// Endpunkte für die verschiedenen Ressourcen
export const API_ENDPOINTS = {
  PRINTERS: `${API_BASE_URL}/api/printers`,
  JOBS: `${API_BASE_URL}/api/jobs`,
  USERS: `${API_BASE_URL}/api/users`,
  
  // OAuth-spezifische Endpunkte
  AUTH: {
    LOGIN: `${API_BASE_URL}/api/auth/login`,
    CALLBACK: `${API_BASE_URL}/api/auth/callback`,
  }
};